/*
 * Scale Stack
 *
 * Copyright 2010 Chris Behrens
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file
 * @brief Echo Flood Module Declarations
 */

#ifndef SCALESTACK_ECHO_FLOOD_FLOOD_H
#define SCALESTACK_ECHO_FLOOD_FLOOD_H

#include <stdint.h>
#include <sys/types.h>

namespace scalestack
{
namespace echo
{
namespace flood
{

const size_t random_buffer_size = 32767;
extern uint8_t random_buffer[random_buffer_size];

} /* namespace flood */
} /* namespace echo */
} /* namespace scalestack */

#endif /* SCALESTACK_ECHO_FLOOD_FLOOD_H */
