/*
 * Scale Stack
 *
 * Copyright 2010 Eric Day
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file
 * @brief Echo Server Stream Service Definitions
 */

#include "config.h"

#include <scalestack/echo/server/stream.h>
#include <scalestack/echo/server/stream_service.h>

namespace scalestack
{
namespace echo
{
namespace server
{

/*
 * Public functions.
 */

stream_service::stream_service(kernel::module& module):
  network::stream_service(module)
{
}

stream_service::~stream_service()
{
}

network::stream* stream_service::add_stream(void)
{
  return new stream(*this);
}

void stream_service::remove_stream(network::stream* stream)
{
  delete stream;
}

} /* namespace server */
} /* namespace echo */
} /* namespace scalestack */
