/*
 * Scale Stack
 *
 * Copyright 2010 Eric Day
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file
 * @brief Event Test Handler Definitions
 */

#include "config.h"

#include <scalestack/event/test/handler.h>

namespace scalestack
{
namespace event
{
namespace test
{

/*
 * Public methods.
 */

handler::handler(handler_service& handler_service):
  event::handler(handler_service)
{
}

handler::~handler()
{
}

void handler::start(void)
{
  set_timer(0);
}

void handler::timer_expired(void)
{
  set_file_descriptor(0);
  watch_read();
}

void handler::read_ready(int)
{
  watch_write();
}

void handler::write_ready(int)
{
  run_now();
}

void handler::run(void)
{
  error();
}

} /* namespace test */
} /* namespace event */
} /* namespace scalestack */
