/*
 * Scale Stack
 *
 * Copyright 2010 Eric Day
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file
 * @brief Event Test Handler Provider Definitions
 */

#include "config.h"

#include <scalestack/event/test/handler_provider.h>
#include <scalestack/event/test/handler_service_provider.h>

namespace scalestack
{
namespace event
{
namespace test
{

/*
 * Public methods.
 */

handler_provider::handler_provider(handler_service_provider& handler_service_provider):
  _handler_service_provider(handler_service_provider)
{
}

handler_provider::~handler_provider()
{
}

void handler_provider::remove(void)
{
  _handler_service_provider.queue_to_remove(this);
}

void handler_provider::set_timer(time_t)
{
  timer_expired();
}

void handler_provider::set_file_descriptor(int)
{
}

void handler_provider::watch_read(void)
{
  read_ready(0);
}

void handler_provider::watch_write(void)
{
  write_ready(0);
}

void handler_provider::run_now(void)
{
  run();
}

} /* namespace test */
} /* namespace event */
} /* namespace scalestack */
