/*
 * Scale Stack
 *
 * Copyright 2010 Eric Day
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file
 * @brief Event Test Service Definitions
 */

#include "config.h"

#include <scalestack/event/test/handler.h>
#include <scalestack/event/test/handler_service.h>

namespace scalestack
{
namespace event
{
namespace test
{

/*
 * Public methods.
 */

handler_service::handler_service(kernel::module& module):
  event::handler_service(module)
{
}

handler_service::~handler_service()
{
  shutdown();
}

void handler_service::remove_handler(event::handler* handler)
{
  delete handler;
}

} /* namespace test */
} /* namespace event */
} /* namespace scalestack */
