/*
 * Scale Stack
 *
 * Copyright 2010 Eric Day
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file
 * @brief Event Test Service Definitions
 */

#include "config.h"

#include <scalestack/event/test/handler_service_provider.h>
#include <scalestack/event/test/service.h>

namespace scalestack
{
namespace event
{
namespace test
{

/*
 * Public methods.
 */

service::service(kernel::module& module):
  event::service(module)
{
}

service::~service()
{
}

/*
 * Private methods.
 */

event::handler_service_provider& service::_add_handler_service(event::handler_service& handler_service)
{
  return *(new handler_service_provider(_module, handler_service));
}

void service::_remove_handler_service(event::handler_service_provider& handler_service_provider)
{
  delete &handler_service_provider;
}

} /* namespace test */
} /* namespace event */
} /* namespace scalestack */
