/*
 * Scale Stack
 *
 * Copyright 2010 Eric Day
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file
 * @brief Kernel Exception Definitions
 */

#include "config.h"

#include <cstdio>

#include <scalestack/kernel/exception.h>

namespace scalestack
{
namespace kernel
{

exception::exception(const char* context, const char* message) throw()
{
  snprintf(_message, SCALESTACK_MAX_MESSAGE_SIZE, "[%s] %s", context, message);
}

const char* exception::what() const throw() 
{
  return _message;
}

} /* namespace kernel */
} /* namespace scalestack */
