/*
 * Scale Stack
 *
 * Copyright 2010 Chris Behrens
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file
 * @brief Network IP UDP Socket Definitions
 */

#include "config.h"

#include <scalestack/network/ip/udp/socket.h>
#include <scalestack/network/ip/udp/socket_service.h>

using namespace std;

namespace scalestack
{
namespace network
{
namespace ip
{
namespace udp
{

/*
 * Public methods.
 */

socket::socket(socket_service& socket_service):
  network::datagram_provider(socket_service)
{
}

socket::~socket()
{
}

void socket::set_file_descriptor(int file_descriptor)
{
  /* Any setsockopts go here. */

  network::datagram_provider::set_file_descriptor(file_descriptor);
}

} /* namespace udp */
} /* namespace ip */
} /* namespace network */
} /* namespace scalestack */
